//********************************************************************
//  Lockable.java       Author: Lewis and Loftus
//
//  Solution to Programming Project 6.8 and 6.9 (5E, p. 367-368)
//********************************************************************

public interface Lockable
{
   //-----------------------------------------------------------------
   //  Sets the object's key
   //-----------------------------------------------------------------
   public void setKey(int key);

   //-----------------------------------------------------------------
   //  Locks the object
   //-----------------------------------------------------------------
   public void lock(int key);

   //-----------------------------------------------------------------
   //  Unlocks the object
   //-----------------------------------------------------------------
   public void unlock(int key);

   //-----------------------------------------------------------------
   //  Returns true it the object is locked, else returns false
   //-----------------------------------------------------------------
   public boolean locked();
}